;; site-start.el pour les serveurs du CRI-Universite de Rennes 1
;;
;; ESC-G + N => va ligne N
;; numero de ligne dans la ligne de mode
;; mode LaTeX de AUC-TeX
;; passage en mode "Auto Fill" par defaut
;; activation mode html si suffixe .html
;; passage en mode texte par defaut
;;
;; Eric.Picheral@univ-rennes1.fr 02/08/95
;; 15/10/96: ajouts pour mode auctex

;; positionnement ligne n
(global-set-key "\eg" 'goto-line)

;; mode LaTeX de AUC-TeX
(require 'tex-site)
(setq TeX-auto-save t)
(setq TeX-parse-self t)
(setq-default TeX-master nil)
(add-hook 'LaTeX-mode-hook '(lambda () (local-unset-key "\M-g")))
(add-hook 'LaTeX-mode-hook '(lambda () (local-set-key "\M-g" 'goto-line)))
(add-hook 'LaTeX-mode-hook '(lambda () (local-set-key "\C-cg" 'LaTeX-fill-region)))

(require 'func-doc)

;; affichage caracteres accentues ISO-Latin1
(standard-display-european t)

;; correction orthographique francaise (et anglaise)
(add-hook 'text-mode-hook '(lambda () (require 'ispell-ireq)))

;; numero de ligne dans la ligne de mode
(add-hook 'text-mode-hook '(lambda () (line-number-mode 1)))

;; activation mode html si suffixe .html
(autoload 'html-mode "auc-html" "HTML editing mode" t)
(setq auto-mode-alist (cons '("\\.html\\'" . html-mode) auto-mode-alist))

;; activation mode Fill et passage en mode Text
(add-hook 'text-mode-hook 'turn-on-auto-fill)
(setq default-major-mode 'text-mode)
